<?php session_start();
	/*
	 *
	 * 2003 - 2016 @ Yal Publicidad - Weby+
	 * www.yalpublicidad.com
	 * online@yalpublicidad.com
	 *
	 *
	 */
	
	/* Autorizo acceso */
	include_once( '../../wy_lib/wy_incluir.php' );
	
	// ** Recibo Captcha
	if( isset( $_POST['key'] ) && md5( $_SESSION['com_captcha'] ) == $_POST['key'] ){
		// ** Ejecuto accion Guardar / Modificar
		if( $_POST['ac'] == 'g-entrada' ){
			
			$post = ( isset( $_SESSION['idNuevoPost'] ) ) ? $_SESSION['idNuevoPost'] : 0;
			$post = ( $_POST['post'] > 0 ) ? $_POST['post'] : $post;
			
			// Quito espacios y - del slug
				$titulo		= ( isset( $_POST['titulo'] ) ) ? utf8_decode( query_cadena_de_escape_real( $_POST['titulo'] ) ) : '';
				$slug		= trim( $_POST['slug'] ); $slug	= trim( $slug, '-' );
				$fecha		= date('Y-m-d H:i:s');
				$publicado	= ( isset( $_POST['publicado'] ) ) ? $_POST['publicado'] : 0;
				$autor		= ( isset( $_SESSION['wyp_us'] ) ) ? WYSQL::obt1Reg( "usuarios", "usuario='{$_SESSION['wyp_us']}'", "id" ) : 1;
				$imagenpost	= ( isset( $_POST['imagen_entrada'] ) ) ? $_POST['imagen_entrada'] : '';
				$video		= ( isset( $_POST['video'] ) ) ? $_POST['video'] : '';
				$textocorto	= ( isset( $_POST['descripcion'] ) ) ? utf8_decode( query_cadena_de_escape_real( $_POST['descripcion'] ) ) : '';
				$texto		= ( isset( $_POST['texto'] ) ) ? utf8_decode( query_cadena_de_escape_real( urldecode( base64_decode( $_POST['texto'] ) ) ) ) : '';
				$orden		= ( isset( $_POST['orden'] ) ) ? $_POST['orden'] : 1;
				$seccion	= ( isset( $_POST['seccion'] ) ) ? $_POST['seccion'] : 0;
				$articulo	= ( isset( $_POST['categoria'] ) ) ? $_POST['categoria'] : 0;
				$jerarquia	= ( isset( $_POST['jerarquia'] ) ) ? $_POST['jerarquia'] : 0;
				$imagenes	= ( isset( $_POST['imagenes_entrada'] ) ) ? $_POST['imagenes_entrada'] : '';
				$tags		= ( isset( $_POST['tags'] ) ) ? utf8_decode( query_cadena_de_escape_real( $_POST['tags'] ) ) : '';
				$codigo		= ( isset( $_POST['codigo'] ) ) ? $_POST['codigo'] : 0;
				$precio		= ( isset( $_POST['precio'] ) ) ? $_POST['precio'] : 0;
				$descuento	= ( isset( $_POST['descuento'] ) ) ? $_POST['descuento'] : 0;
				
			if( $post > 0 ){
				
				echo query( "UPDATE `" . WYCFG_DBPREFIJO . "contenido` SET `titulo`='$titulo', `slug`='$slug', `modificado`='$fecha', `publicado`='$publicado', `autor`='$autor', `imagenpost`='$imagenpost', `video_youtube`='$video', `textocorto`='$textocorto', `texto`='$texto', `orden`='$orden', `seccionid`='$seccion', `articuloid`='$articulo', `padreid`='$jerarquia', `imagenes`='$imagenes', `urls`='', `tags`='$tags', `codnum`='$codigo', `precio`='$precio', `descuento`='$descuento' WHERE id='$post'" ) or die( query_error() );
			}else{				
				if( WYSQL::existe( "contenido", "slug", "slug='$slug'" ) ){
					echo 3;	
				}else{
					echo query( "INSERT INTO `" . WYCFG_DBPREFIJO . "contenido`(`titulo`, `slug`, `fecha`, `modificado`, `publicado`, `autor`, `imagenpost`, `video_youtube`, `textocorto`, `texto`, `orden`, `seccionid`, `articuloid`, `padreid`, `imagenes`, `urls`, `tags`, `codnum`, `precio`, `descuento`) VALUES ('$titulo', '$slug', '$fecha', '$fecha', '$publicado', '$autor', '$imagenpost', '$video', '$textocorto', '$texto', '$orden', '$seccion', '$articulo', '$jerarquia', '$imagenes', '', '$tags', '$codigo', '$precio', '$descuento')" ) or die(query_error());
					
					$_SESSION['idNuevoPost'] = query_insert_id();
				}
			}
		}
		
		// ** Ejecuto accion Deshabilitar / Habilitar usuario
		if( $_POST['ac'] == 'e-publicar' ){
			$post = str_replace('cbPublicar','', $_POST['idn'] );
			echo com_reg_post( 'contenido', 'publicado', $_POST['publicado'], $post );
		}
		
		// ** Ejecuto accion eliminar usuario
		if( $_POST['ac'] == 'e-eliminar' ){
			// ** Elimino de la base de datos
			echo WYSQL::eliminar_reg( 'contenido', $_POST['post'] );
		}
	}else{
		echo 2;
	}
			 
?>	